import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { join } from 'path';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(AppModule, {
    transport: Transport.GRPC,
    options: {
      package: 'time_entry_service',
      protoPath: join(__dirname, '../proto/time_entry_service.proto'),
      url: '0.0.0.0:5002',
    },
  });
  await app.listen();
  console.log('time-entry-service running on gRPC :5002');
}
bootstrap();
